× CodeTyphon MacOS Development, discussions and problems

Solved Darwin invalid version

  • Premysl Beran
  • Topic Author
  • Offline
  • Junior Member
  • Junior Member
More
4 weeks 2 hours ago - 3 weeks 6 days ago #17136 by Premysl Beran
Darwin invalid version was created by Premysl Beran
Hello,

Today I got a strange error which prevent me from compiling my project. I updated to CT7.8 on Intel macOS Monteray with Xcode 13.4.1, and after installation, I was able to compile the project. There were some error messages, but the compilation was successful. But today, I'm not able to compile anymore. The errors are the following:
Error: clang: error: invalid Darwin version number: macosx12.0.0
Error: clang: error: invalid version number in '--target=x86_64-apple-macosx12.0.0'
Error: /usr/local/codetyphon/fpc/fpc64/bin/x86_64-darwin/ppcx64 can't be executed, error message: Failed to execute "/usr/local/codetyphon/fpc/fpc64/bin/x86_64-darwin/ppcx64", error code: -13
 
Anybody can help, please. The cross-compilation for Windows-64 works well.
Last edit: 3 weeks 6 days ago by Premysl Beran.

Please Log in or Create an account to join the conversation.

  • Premysl Beran
  • Topic Author
  • Offline
  • Junior Member
  • Junior Member
More
3 weeks 6 days ago #17138 by Premysl Beran
Replied by Premysl Beran on topic Darwin invalid version
I don't know what happened. I had to reinstall the MacPorts and re-compile FPC to make it run. Now it works again.

Please Log in or Create an account to join the conversation.

  • Matis A.
  • Matis A.'s Avatar
  • Away
  • Moderator
  • Moderator
More
3 weeks 6 days ago #17139 by Matis A.
Replied by Matis A. on topic Darwin invalid version
Thanks Sir

PilotLogic Core Programmer

Please Log in or Create an account to join the conversation.